<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <div class="ui grid">
      <div class="three wide column">
        <h2 class="ui header">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BOOK}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
          <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REPORTS}}"></span>
        </h2>
      </div>
      <div class="thirteen wide column">
        <div class="ui floating small basic icon dropdown icon button right floated" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
          <div class="menu">
            <div class="item" id="resource" data-type="resource" onclick="getByType(this)" sec:authorize="hasAuthority(	T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BY_RESOURCE)">
              <i class="user icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>By Resource</span>
            </div>
            <div class="item" id="workitem" data-type="workitem" onclick="getByType(this)" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BY_WORKITEM)">
              <i class="tasks icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>By Workitems</span>
            </div>
            <div class="item" id="timesheet" data-type="timesheet" onclick="getByType(this)" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BY_TIMESHEET)">
              <i class="calendar icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>By Timesheet</span>
            </div>
            <div class="item" id="absence" data-type="absence" onclick="getByType(this)" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BY_ABSENCES)">
              <i class="delete calendar icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>By Absences</span>
            </div>
            <div class="item" id="epic" data-type="epic" onclick="getByType(this)" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BY_EPICS)">
              <i class="paper plane icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>By Epics</span>
            </div>
            <div class="item" th:onclick="getByContract()" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BY_AREA_CONTRACT)">
              <i class="cubes icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>By Area and Contract</span>
            </div>
            <div class="item" onclick="getMMEReport()" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_MME)">
              <i class="file excel icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>Import MME Report</span>
            </div>
            <div class="item" onclick="getByType(this)" data-type="backlog" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_REPORTS_BACKLOG)">
              <i class="file excel icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span>Backlog</span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <br />
    <div id="report-body"></div>
    <br />
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_DROPZONE_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_REPORTS_JS}}"></script>
</body>
</html>